com.atid.lib.module.rfid.uhf.types

## Enum GlobalBandType

- java.lang.Object
- - java.lang.Enum<GlobalBandType>
  - - com.atid.lib.module.rfid.uhf.types.GlobalBandType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<GlobalBandType>

      public enum GlobalBandType
      extends java.lang.Enum<GlobalBandType>
      implements IEnumType

  The GlobalBandType enumeration represents the frequency direction of the RFID UHF module.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Australia`
    `Brazil`
    `Chile_0_5W`
    `Chile_1W`
    `China`
    `Europe`
    `Hongkong`
    `India`
    `Indonesia`
    `Israel`
    `Japan125mW`
    `Japan1W`
    `Japan250mW`
    `Korea`
    `Malaysia`
    `Newzealand`
    `NorthAmerica`
    `Philippines`
    `Singapore`
    `SouthAfrica`
    `Taiwan`
    `Thailand`
    `Unknown`
    `Uruguay`
    `Vietnam`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static GlobalBandType` | `valueOf(int code)`
    `static GlobalBandType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GlobalBandType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final GlobalBandType Unknown

    - #### Korea

          public static final GlobalBandType Korea

    - #### Europe

          public static final GlobalBandType Europe

    - #### NorthAmerica

          public static final GlobalBandType NorthAmerica

    - #### China

          public static final GlobalBandType China

    - #### Taiwan

          public static final GlobalBandType Taiwan

    - #### Brazil

          public static final GlobalBandType Brazil

    - #### Malaysia

          public static final GlobalBandType Malaysia

    - #### Hongkong

          public static final GlobalBandType Hongkong

    - #### Japan1W

          public static final GlobalBandType Japan1W

    - #### Japan250mW

          public static final GlobalBandType Japan250mW

    - #### India

          public static final GlobalBandType India

    - #### Indonesia

          public static final GlobalBandType Indonesia

    - #### Japan125mW

          public static final GlobalBandType Japan125mW

    - #### Israel

          public static final GlobalBandType Israel

    - #### Australia

          public static final GlobalBandType Australia

    - #### Newzealand

          public static final GlobalBandType Newzealand

    - #### Philippines

          public static final GlobalBandType Philippines

    - #### Singapore

          public static final GlobalBandType Singapore

    - #### Thailand

          public static final GlobalBandType Thailand

    - #### Uruguay

          public static final GlobalBandType Uruguay

    - #### Vietnam

          public static final GlobalBandType Vietnam

    - #### SouthAfrica

          public static final GlobalBandType SouthAfrica

    - #### Chile_0_5W

          public static final GlobalBandType Chile_0_5W

    - #### Chile_1W

          public static final GlobalBandType Chile_1W

  - ### Method Detail

    - #### values

          public static GlobalBandType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GlobalBandType c : GlobalBandType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GlobalBandType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<GlobalBandType>`

    - #### valueOf

          public static GlobalBandType valueOf(int code)